Package be.e_contract.ejsf.component.viewlogs

# Class ViewLogsResource

java.lang.Object
javax.faces.application.ViewResource
javax.faces.application.Resource
be.e_contract.ejsf.component.viewlogs.ViewLogsResource

public class ViewLogsResource extends javax.faces.application.Resource

## Field Summary

### Fields inherited from class javax.faces.application.Resource

`COMPONENT_RESOURCE_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ViewLogsResource(String resourceName, String libraryName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`InputStream`
`getInputStream()`
`String`
`getRequestPath()`
`Map<String,String>`
`getResponseHeaders()`
`URL`
`getURL()`
`boolean`
`userAgentNeedsUpdate(javax.faces.context.FacesContext context)`

### Methods inherited from class javax.faces.application.Resource

`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ViewLogsResource

public ViewLogsResource(String resourceName, String libraryName)

## Method Details

### getContentType

public String getContentType()

Overrides:
  `getContentType` in class `javax.faces.application.Resource`

### getInputStream

public InputStream getInputStream() throws IOException

Specified by:
  `getInputStream` in class `javax.faces.application.Resource`
Throws:
  `IOException`

### getResponseHeaders

public Map<String,String> getResponseHeaders()

Specified by:
  `getResponseHeaders` in class `javax.faces.application.Resource`

### getRequestPath

public String getRequestPath()

Specified by:
  `getRequestPath` in class `javax.faces.application.Resource`

### getURL

public URL getURL()

Specified by:
  `getURL` in class `javax.faces.application.Resource`

### userAgentNeedsUpdate

public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

Specified by:
  `userAgentNeedsUpdate` in class `javax.faces.application.Resource`